Bug 444441 - no check for missing or multiple %defattr
no check for missing or multiple %defattr
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
http://rpmlint.zarb.org/cgi-bin/trac....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 09:24 EDT by Dan Horák
Modified: 2008-06-26 04:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.83-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-04-28 09:24:48 EDT
The current rpmlint doesn't check whether default files attributes (via %defattr
directives) are defined in the %files section. At least Fedora Package Review
Guidelines require that they must be defined. See URL for details and patches.
Comment 1 Ville Skyttä 2008-04-28 12:48:17 EDT
Comments added to upstream tracker.
Comment 2 Dan Horák 2008-05-05 11:32:43 EDT
Ville, could you, please, also check ticket #154? Thanks, Dan
Comment 3 Bug Zapper 2008-05-14 06:18:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Dan Horák 2008-06-09 01:41:09 EDT
Could you update rpmlint to version 0.83 in F-9 and F-8 too?
Comment 5 Fedora Update System 2008-06-09 14:33:12 EDT
rpmlint-0.83-1.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-06-09 14:35:01 EDT
rpmlint-0.83-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-06-11 00:34:20 EDT
rpmlint-0.83-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5185
Comment 8 Fedora Update System 2008-06-26 04:29:49 EDT
rpmlint-0.83-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-26 04:30:41 EDT
rpmlint-0.83-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.